CommonCommands (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.client.presenter
Class CommonCommands

    java.lang.Object
      org.gcube.portlets.user.templates.client.presenter.CommonCommands

    public class CommonCommands

extends Object

* /** `CommonCommands` class contains the menu commands for the UI

Version:
  December 2009 (1.6)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary
`protected class` | `CommonCommands.SaveReportPopUp` Inner class for save popup

Field Summary
`com.google.gwt.user.client.Command` | `importTemplateCommand`
`com.google.gwt.user.client.Command` | `insertImage`
`com.google.gwt.user.client.Command` | `openTemplate`
`com.google.gwt.user.client.Command` | `pickColor`
`com.google.gwt.user.client.Command` | `saveTemplate`
`com.google.gwt.user.client.Command` | `saveTemplateAs`

Constructor Summary
`CommonCommands(Presenter controller)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### openTemplate

    public com.google.gwt.user.client.Command openTemplate

### importTemplateCommand

    public com.google.gwt.user.client.Command importTemplateCommand

### insertImage

    public com.google.gwt.user.client.Command insertImage

### saveTemplate

    public com.google.gwt.user.client.Command saveTemplate

### saveTemplateAs

    public com.google.gwt.user.client.Command saveTemplateAs

### pickColor

    public com.google.gwt.user.client.Command pickColor

Constructor Detail

### CommonCommands

    public CommonCommands(Presenter controller)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.